Subject: Re: [PATCH] arm64: dts: rockchip: Fix usb-c on Hugsun X99 TV Box

From: Vicente Bergas <[email-masked]>
Date: Sun, 06 Oct 2019 21:50:16 +0200

On Saturday, October 5, 2019 2:52:00 AM CEST, Vivek Unune wrote:
> On Fri, Oct 04, 2019 at 11:45:08PM +0200, Heiko Stuebner wrote:
>> Hi Vivek,
>> 
>> Am Montag, 30. September 2019, 01:46:15 CEST schrieb Vivek Unune: ...
>
> Hi Heiko,
>
> I tested the c09b73cf patch without modifying exsisting dts. I can confirm
> that that patch doesn't work for me. No usb-c devices were recognized.
>
> Vicenç - were you able to test it?

I can also confirm that

c09b73cfac2a9317f1104169045c519c6021aa1d
usb: dwc3: don't set gadget->is_otg flag

alone does not fix the issue.

e1d9149e8389f1690cdd4e4056766dd26488a0fe
arm64: dts: rockchip: Fix USB3 Type-C on rk3399-sapphire

is still required for the USB-C to work on the Sapphire board.

Regards,
  Vicenç.

> As soon as I apply dts patch, usb-c devices are recognized.
>
> Thanks,
>
> Vivek

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel